<?php

/*
* Plugin Name: Promo Content
* Description: Añade un texto personalizado al principio o final de tus artículos de esta forma no tienes que editar cada uno de los posts.
* Version: 1.1
* Author: Miquel Camps Orteza
* Author URI: https://vivirenremoto.com
*/

function promocontent_edit($content){
  if( is_single() ){
    $header = '<div id="promo_header">' . get_option('promocontent_option_header') . '</div>';
    $footer = '<div id="promo_footer">' . get_option('promocontent_option_footer') . '</div>';

    $content = $header . $content . $footer;

  }else if( is_feed() ){
    $header = '<div id="promo_header">' . get_option('promocontent_option_header_rss') . '</div>';
    $footer = '<div id="promo_footer">' . get_option('promocontent_option_footer_rss') . '</div>';

    $content = $header . $content . $footer;
  }

  return $content;
}

add_filter ('the_content','promocontent_edit');


//////////////////////////////////////


function promocontent_register_settings() {
   add_option( 'promocontent_option_header', '');
   add_option( 'promocontent_option_footer', '');
   add_option( 'promocontent_option_header_rss', '');
   add_option( 'promocontent_option_footer_rss', '');
   register_setting( 'promocontent_options_group', 'promocontent_option_header', 'promocontent_callback' );
   register_setting( 'promocontent_options_group', 'promocontent_option_footer', 'promocontent_callback' );
   register_setting( 'promocontent_options_group', 'promocontent_option_header_rss', 'promocontent_callback' );
   register_setting( 'promocontent_options_group', 'promocontent_option_footer_rss', 'promocontent_callback' );
}
add_action( 'admin_init', 'promocontent_register_settings' );


function promocontent_register_options_page() {
  add_options_page('Promo Content', 'Promo Content', 'manage_options', 'promocontent', 'promocontent_options_page');
}
add_action('admin_menu', 'promocontent_register_options_page');

function promocontent_options_page()
{
?>


  <div class="notice notice-warning" style="margin:30px 0 30px 0">
    <p><a href="https://vivirenremoto.com/plugins-vip-wordpress/" target="_blank" style="color:black;font-weight:bold;text-decoration:none;">Descubre más plugins molones como este</p></a>
  </div>

  <div>
  <h2>Promo Content</h2>
  <form method="post" action="options.php">
  <?php settings_fields( 'promocontent_options_group' ); ?>

  <table>


  <tr class="form-field">
    <th scope="row" valign="top">
        <label for="promocontent_option_header">Arriba del post</label>
    </th>
  <td>
    <?php wp_editor( get_option('promocontent_option_header'), "promocontent_option_header", array() ); ?> 
  </td>
  </tr>

  <tr class="form-field">
    <th scope="row" valign="top">
        <label for="promocontent_option_footer">Abajo del post</label>
    </th>
  <td>
    <?php wp_editor( get_option('promocontent_option_footer'), "promocontent_option_footer", array() ); ?> 
  </td>
  </tr>
    
  <tr class="form-field">
    <th scope="row" valign="top" colspan="2">
        <br><br>
        <h2>Solo visible en el RSS para los lectores fieles</h2>
    </th>
  </tr>

  <tr class="form-field">
    <th scope="row" valign="top">
        <label for="promocontent_option_header_rss">Arriba del post</label>
    </th>
  <td>
    <?php wp_editor( get_option('promocontent_option_header_rss'), "promocontent_option_header_rss", array() ); ?> 
  </td>
  </tr>

  <tr class="form-field">
    <th scope="row" valign="top">
        <label for="promocontent_option_footer_rss">Abajo del post</label>
    </th>
  <td>
    <?php wp_editor( get_option('promocontent_option_footer_rss'), "promocontent_option_footer_rss", array() ); ?> 
  </td>
  </tr>


  </table>
  <?php  submit_button(); ?>
  </form>
  </div>
<?php
}